System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Collections.IList System.Web.UI.IStateManager System.ComponentModel.Editor("System.Web.UI.Design.WebControls.ListItemsCollectionEditor, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", typeof(System.Drawing.Design.UITypeEditor))

The class represents a collection of objects. The objects, in turn, represent the items displayed in list controls, such as the . To programmatically retrieve objects from a list control, use one of following methods:

Use the indexer to get a single from the collection, using array notation.

Use the method to copy the contents of the collection to a object, which can then be used to get items from the collection.

Use the method to create a implemented object, which can then be used to get items from the collection.

Use foreach (C#) or For Each (Visual Basic) to iterate through the collection.

The property specifies the total number of items in the collection, and is commonly used to determine the upper bound of the collection. You can add and remove items from the collection by using the and methods.

A collection of objects in a list control. This class cannot be inherited.

- Constructor

  Use this constructor to create and initialize a new instance of the class using default values.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  Use the method to append a to the end of the collection. This implementation of the method creates a to represent the text specified by the parameter. This is then appended to the collection.

  Appends a to the end of the collection that represents the specified string.

  A that represents the item to add to the end of the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  Use the method to append a to the end of the collection. This implementation of the method takes the specified by the parameter and appends it to the collection.

  Appends the specified to the end of the collection.

  The to append to the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  Use the method to add the items in the array of objects specified by the parameter. This allows you to add multiple objects to the collection in a single step.

  Adds the items in an array of objects to the collection.

  An array of objects that contain the items to add to the collection. 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  Use the property to specify or determine the maximum number of items that the can store.

  Gets or sets the maximum number of items that the can store.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  Use the method to remove all objects. The property is also set to 0.

  When you use this method, all objects are removed from the collection. You cannot undo this.

  Removes all objects from the collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean ``

  Use the method to determine whether the specified by the parameter is in the collection.

  Determines whether the collection contains the specified item.

  true if the collection contains the specified item; otherwise, false.

  A to search for in the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  Use this method to copy the contents of the into the specified , starting at the specified index.

  The parameter must be a zero-based .

  Copies the items from the to the specified , starting with the specified index.

  A zero-based that receives the copied items from the . The first index in the specified to receive the items. 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  Use the property to determine the number of objects in the . The property is commonly used when iterating through the collection to determine the upper bound of the collection.

  Gets the number of objects in the collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Web.UI.WebControls.ListItem ``

  Use the method to search the collection for a with a property that equals text specified by the parameter. This method performs a case-sensitive and culture-insensitive comparison. This method does not do partial searches or wildcard searches. If an item is not found in the collection using this criteria, null is returned.

  Searches the collection for a with a property that equals the specified text.

  A that contains the text specified by the parameter.

  The text to search for. 1.0.5000.0 2.0.0.0
- Method
  System.Web.UI.WebControls.ListItem ``

  Use the method to search the collection for a with a property that contains value specified by the parameter. This method performs a case-sensitive and culture-insensitive comparison. This method does not do partial searches or wildcard searches. If an item is not found in the collection using this criteria, null is returned.

  Searches the collection for a with a property that contains the specified value.

  A that contains the value specified by the parameter.

  The value to search for. 1.0.5000.0 2.0.0.0
- Method
  System.Collections.IEnumerator

  Use this method to create a that can be iterated through to get each object in the .

  Use the property to get the item currently pointed to in the collection.

  Use the method to move to the next item in the collection.

  Use the method to move the enumerator back to the initial position.

  After you create a object or use the method to move the enumerator to the first item in the collection, you must call the method. Otherwise, the item represented by the property is undefined.

  Returns a implemented object that contains all objects in the .

  A implemented object that contains all objects in the .

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 ``

  Use the method to determine the index value of the specified by the parameter in the collection. If an item with this criteria is not found in the collection, -1 is returned.

  Determines the index value that represents the position of the specified in the collection.

  The index position of the specified in the collection.

  A to search for in the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  Use the method to add a to the collection at the index specified by the parameter. This implementation of the method creates a to represent the text specified by the parameter. The property of the new has the value , and the property has the value null. This is then inserted in the collection at the specified index.

  Inserts a which represents the specified string in the collection at the specified index location.

  The location in the collection to insert the . A that represents the item to insert in the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  Use the method to add a to the collection at the index specified by the parameter. This implementation of the method takes the specified by the parameter and inserts it in the collection at the specified index.

  Inserts the specified in the collection at the specified index location.

  The location in the collection to insert the . The to add to the collection. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  This property always returns false to indicate that the can be written to in all cases.

  Gets a value indicating whether the is read-only.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  This property is derived from and is overridden to always return false.

  For more information on the property, see the property of the interface.

  Gets a value indicating whether access to the is synchronized (thread-safe).

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.UI.WebControls.ListItem `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  Use the method to remove a object from the collection. This implementation of the method creates a object using the text in the parameter and then removes this from the collection. The specified parameter must match the property of an existing object, or no item is removed from the collection.

  Removes a from the collection that represents the specified string.

  A that represents the item to remove from the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  Use the method to remove a from the collection. This implementation of the method takes the specified by the parameter and removes it from the collection.

  Removes the specified from the collection.

  The to remove from the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  Use the method to remove the at the specified index from the collection.

  Removes the at the specified index from the collection.

  The index of the to remove. 1.0.5000.0 2.0.0.0
- Property
  System.Object To be added: an object of type 'object'

  The object returned in this implementation is the object itself.

  For more information on the property, see the property of the interface.

  Gets the object that can be used to synchronize access to the .

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Int32 `` To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The index at which the item has been added.

- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean `` To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  true if the is found in the ; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  System.Int32 `` To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The index of if found in the list; otherwise, -1.

- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` `` To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The zero-based index at which should be inserted.
- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Loads the previously saved state.

- Method
  1.0.5000.0
  2.0.0.0
  System.Object

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Returns object containing state changes.

  An that represents the state of the .

- Method
  1.0.5000.0
  2.0.0.0
  System.Void

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Starts tracking state of changes.